com.ihr.xbrl.dts

## Class PeriodDimensionDuration

- java.lang.Object
- - com.ihr.xbrl.dts.PeriodDimension
  - - com.ihr.xbrl.dts.PeriodDimensionDuration

- All Implemented Interfaces:
    Dimension<ColumnPeriod>, java.lang.Comparable<Dimension<?>>

      public class PeriodDimensionDuration
      extends PeriodDimension

  The Class PeriodDimensionDuration.
  Author:
    Ignacio

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.ihr.xbrl.dts.Dimension

      `Dimension.DimensionType`

  - ### Field Summary

    - ### Fields inherited from interface com.ihr.xbrl.dts.Dimension

      `defaultDimensionsXBRL, duplicatesDimension, entityDimension, formLineDimenion, instantModeDimension, instantOnDurationDimension, periodDimensionDuration, periodDimensionInstant, POSITION_AVAIL, POSITION_COLUMN_HEADERS, POSITION_ROW_HEADERS, POSITION_UNKOWN, RSDimensionsNameNamespace, RSDimensionsNameNamespacePrefix`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodDimensionDuration(HasBoySupport hb)` Instantiates a new period dimension duration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Equals.
    `java.lang.String` | `getDimensionName()` This function will be used to obtain a dimension name for things that does not have a label like the Period dimension or the Identifier dimension.
    `javax.xml.namespace.QName` | `getName()` Every Dimension must have a dimension QName.
    `static javax.xml.namespace.QName` | `getName(java.lang.Object object)` Gets the name.
    `int` | `hashCode()` Hash code.

    - ### Methods inherited from class com.ihr.xbrl.dts.PeriodDimension

      `addMember, bHasFixedName, clear, compareTo, delMember, factMatches, findMember, getDefault, getDomain, getMemberFromString, getMembers, getSuggestedInitialPosition, getType, isPrimary, isTree, setAllowDuplicates`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeriodDimensionDuration

          public PeriodDimensionDuration(HasBoySupport hb)

      Instantiates a new period dimension duration.
      Parameters:
        `hb` - the hb

  - ### Method Detail

    - #### getName

          public javax.xml.namespace.QName getName()

      Description copied from interface: `Dimension`
      Every Dimension must have a dimension QName.
      Returns:
        QName

    - #### getName

          public static javax.xml.namespace.QName getName(java.lang.Object object)

      Gets the name.
      Parameters:
        `object` - the object
      Returns:
        the name

    - #### getDimensionName

          public java.lang.String getDimensionName()

      Description copied from interface: `Dimension`
      This function will be used to obtain a dimension name for things that does not have a label like the Period dimension or the Identifier dimension.
      Returns:
        String

    - #### hashCode

          public int hashCode()

      Description copied from interface: `Dimension`
      Hash code.
      Specified by:
        `hashCode` in interface `Dimension<ColumnPeriod>`
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the int

    - #### equals

          public boolean equals(java.lang.Object obj)

      Description copied from interface: `Dimension`
      Equals.
      Specified by:
        `equals` in interface `Dimension<ColumnPeriod>`
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the other
      Returns:
        true, if successful